# ld65 linker script for SuperPakPak (and possibly other 512 kbit
# games using UNROM ported from NESASM)
MEMORY {
  HEADER:   start = 0, size = $0010, type = ro, file = %O, fill=yes, fillval=$00;
  ZP:    start = $C0, size = $40, type = rw;
  ROM0:  start=$8000, size=$4000, type=ro, file=%O, fill=yes, fillval=$FF;
  ROM1:  start=$8000, size=$4000, type=ro, file=%O, fill=yes, fillval=$FF;
  ROM23: start=$8000, size=$8000, type=ro, file=%O, fill=yes, fillval=$FF;
}

SEGMENTS {
  INESHDR:  load=HEADER, type = ro, align = $10;
  ZEROPAGE: load=ZP, type = zp;
  ROM0:     load=ROM0, type=ro, align=$100;
  ROM1:     load=ROM1, type=ro, align=$100;
  ROM23:    load=ROM23, type=ro, align=$100;
}

FILES {
  %O: format = bin;
}
